@extends('resource.show')

@php
$links['back'] = guard_url('our_porfolio/our_portfolio');
$links['edit'] = guard_url('our_porfolio/our_portfolio') . '/' . $our_portfolio->getRouteKey() . '/edit';
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('our_porfolio::our_portfolio.title.main') !!}
@stop

@section('sub.title') 
{!! __('our_porfolio::our_portfolio.title.show') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('$our_porfolio/our_portfolio')!!}">{!! __('our_porfolio::our_portfolio.name') !!}</a></li>
  <li>{{ __('app.show') }}</li>
@stop

@section('tabs') 
@stop

@section('tools') 
    <a href="{!!guard_url('$our_porfolio/our_portfolio')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
            <i class="fa fa-chevron-left"></i>
    </a>
@stop

@section('content') 
    @include('our_porfolio::our_portfolio.partial.show', ['mode' => 'show'])
@stop
