<?php

namespace Litecms\OurPorfolio;

use User;

class OurPorfolio
{
    /**
     * $our_portfolio object.
     */
    protected $our_portfolio;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\OurPorfolio\Interfaces\OurPortfolioRepositoryInterface $our_portfolio)
    {
        $this->our_portfolio = $our_portfolio;
    }

    /**
     * Returns count of our_porfolio.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.our_portfolio.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->our_portfolio->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\OurPortfolioUserCriteria());
        }

        $our_portfolio = $this->our_portfolio->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('our_porfolio::' . $view, compact('our_portfolio'))->render();
    }
}
