<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for our_portfolio in our_porfolio package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  our_portfolio module in our_porfolio package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'OurPortfolio',
    'names'         => 'OurPortfolios',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'OurPortfolios',
        'sub'   => 'OurPortfolios',
        'list'  => 'List of our_portfolios',
        'edit'  => 'Edit our_portfolio',
        'create'    => 'Create new our_portfolio'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'name'                       => 'Name',
        'description'                => 'Description',
        'image'                      => 'Image',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'name'                       => 'Name',
        'description'                => 'Description',
        'image'                      => 'Image',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 2, 'checked'],
        'image'                      => ['name' => 'Image', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'OurPortfolios',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
