@extends('resource.index')
@php
$links['create'] = guard_url('our_porfolio/our_portfolio/create');
$links['search'] = guard_url('our_porfolio/our_portfolio');
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('our_porfolio::our_portfolio.title.main') !!}
@stop

@section('sub.title') 
{!! __('our_porfolio::our_portfolio.title.list') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('our_porfolio/our_portfolio')!!}">{!! __('our_porfolio::our_portfolio.name') !!}</a></li>
  <li>{{ __('app.list') }}</li>
@stop

@section('entry') 
<div id="entry-form">

</div>
@stop

@section('list')
    @include('our_porfolio::our_portfolio.partial.list.' . $view, ['mode' => 'list'])
@stop

@section('pagination') 
    {!!$our_portfolios->links()!!}
@stop

@section('script')

@stop

@section('style')

@stop 
